### Method

# Ide DebuggerBreakpoint set_thread

#### Declaration

    void
    ide_debugger_breakpoint_set_thread (
      IdeDebuggerBreakpoint* self,
      const gchar* thread
    )

#### Description

Sets the thread that the breakpoint is currently stopped in.

This should generally only be used by debugger implementations.

Available since: | 3.32

Sets property | `Ide.DebuggerBreakpoint:thread`

#### Parameters

`thread` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.